'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _config = require('./config.js');

var _config2 = _interopRequireDefault(_config);

var _register = require('./register.js');

var _register2 = _interopRequireDefault(_register);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
  * Registry is the module that handles and accepts application containers into the ecosystem
  *
  * @class RegistryModule
  *
  */
var RegistryModule = function () {
  function RegistryModule(app) {
    _classCallCheck(this, RegistryModule);

    this.config = _config2.default;

    this.register = new _register2.default(app);

    this.config.routes = {
      '/registry/register': {
        method: 'post',
        controller: this.register.handleRegistration,
        authentication: true,
        owner: true,
        organiation: true
      }
    };
  }

  _createClass(RegistryModule, null, [{
    key: 'config',
    get: function get() {
      return _config2.default;
    }
  }]);

  return RegistryModule;
}();

module.exports = RegistryModule;